Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLCategoryInfo

    java.lang.Object
      jet.api.BLCategoryInfo

    public class BLCategoryInfo

extends java.lang.Object

Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLCategoryInfo(java.lang.String name)` Constructor.Creates a JReport BusinessLogic Category

Method Summary
`void` | `addCategory(BLCategoryInfo categoryInfo)` Adds a JReport BusinessLogic Category definition into category
`void` | `addDetailInformation(BLDetailInfo detailInfo)` Adds a JReport BusinessLogic Detail definition into category
`void` | `addDimension(BLDimensionInfo dimensionInfo)` Adds a JReport BusinessLogic Dimension into category
`void` | `addMeasure(BLMeasureInfo measureInfo)` Adds a JReport BusinessLogic Measure definition into category
`BLCategoryInfo[]` | `getCategories()` Gets Category definitions of Category
`java.lang.String` | `getDescription()` Gets description of category
`BLDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of Category
`BLDimensionInfo[]` | `getDimensions()` Gets Dimension definitions of Category
`java.lang.String` | `getDisplayName()` Gets display name of category
`BLMeasureInfo[]` | `getMeasures()` Gets Measure definitions of Category
`java.lang.String` | `getName()` Gets name of category
`void` | `setDescription(java.lang.String description)` Sets description of category
`void` | `setDisplayName(java.lang.String displayName)` Sets display name of category
`void` | `setName(java.lang.String name)` Sets name of category

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLCategoryInfo

    public BLCategoryInfo(java.lang.String name)

  Constructor.Creates a JReport BusinessLogic Category

  Parameters:
    `name` - Indicates category name.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets description of category

  Parameters:
    `description` - the description of category.

### getDescription

    public java.lang.String getDescription()

  Gets description of category

  Returns:
    the description of category.

### setName

    public void setName(java.lang.String name)

  Sets name of category

  Parameters:
    `name` - the name of category.

### getName

    public java.lang.String getName()

  Gets name of category

  Returns:
    the name of category.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets display name of category

  Parameters:
    `displayname` - the display name of category.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets display name of category

  Returns:
    the display name of category.

### addDimension

    public void addDimension(BLDimensionInfo dimensionInfo)

  Adds a JReport BusinessLogic Dimension into category

  Parameters:
    `dimensionInfo` - the dimension definition that will be created in category.

### getDimensions

    public BLDimensionInfo[] getDimensions()

  Gets Dimension definitions of Category

### addMeasure

    public void addMeasure(BLMeasureInfo measureInfo)

  Adds a JReport BusinessLogic Measure definition into category

  Parameters:
    `measureInfo` - the Measure definition that will be created in category.

### getMeasures

    public BLMeasureInfo[] getMeasures()

  Gets Measure definitions of Category

### addDetailInformation

    public void addDetailInformation(BLDetailInfo detailInfo)

  Adds a JReport BusinessLogic Detail definition into category

  Parameters:
    `detailInfo` - the Detail definition that will be created in category.

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets Detail definitions of Category

### addCategory

    public void addCategory(BLCategoryInfo categoryInfo)

  Adds a JReport BusinessLogic Category definition into category

  Parameters:
    `detailInfo` - the Category definition that will be created in category.

### getCategories

    public BLCategoryInfo[] getCategories()

  Gets Category definitions of Category

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD